### Name: track
### Title: Manage how objects are handled in a tracking session
### Aliases: track untrack track.remove track.save track.resave track.flush
###   track.forget track.load
### Keywords: data

### ** Examples

library(trackObjs)
unlink("tmp1", recursive=TRUE)
track.start("tmp1")
track(x <- 33)
X <- array(1:24, dim=2:4)
track(X)
track(Y <- list(a=1:3,b=2))
X[2] <- -1
track.summary(time=0, access=1, size=FALSE)
y1 <- 2
y2 <- 3
track(all=TRUE)
z1 <- 4
z2 <- 5
z3 <- 6
untracked()
track(list=c("z1", "z3"))
untracked()
track.summary(time=0, access=1, size=FALSE)
ls(all=TRUE)
track.stop()
ls(all=TRUE)
a <- 7
b <- 8
save(list=c("a", "b"), file="ab.rda")
remove(list=c("a", "b"))
track.start("tmp1")
track.summary(time=0, access=1, size=FALSE)
track.load("ab.rda")
track.summary(time=0, access=1, size=FALSE)
track.status()
track.stop()
unlink("tmp1", recursive=TRUE)



